Skip to main content
GET
Retrieve table

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required

The id of the table to retrieve.

Response

Retrieved table

The table object represents a table within a knowledge.

object
enum<string>
required

The object type, which is always table.

Available options:
table
id
string
required

The table identifier, which can be referenced in the API endpoints.

name
string
required

The name of the table.

updated_at
string<date-time>
required

The ISO string for when the table was last updated.

created_at
string<date-time>
required

The ISO string for when the table was created.

knowledge_id
string
required

The id of the knowledge this table belongs to.